Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_SKIPJACK_RELAYX_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BYTE_PTR | pNewPassword
CK_BYTE_PTR | pNewPublicData
CK_BYTE_PTR | pNewRandomA
CK_BYTE_PTR | pOldPassword
CK_BYTE_PTR | pOldPublicData
CK_BYTE_PTR | pOldRandomA
CK_BYTE_PTR | pOldWrappedX
CK_ULONG | ulNewPasswordLen
CK_ULONG | ulNewPublicDataLen
CK_ULONG | ulNewRandomLen
CK_ULONG | ulOldPasswordLen
CK_ULONG | ulOldPublicDataLen
CK_ULONG | ulOldRandomLen
CK_ULONG | ulOldWrappedXLen

## Detailed Description

Definition at line 1534 of file pkcs11t.h.

## Member Data Documentation

CK_BYTE_PTR CK_SKIPJACK_RELAYX_PARAMS::pNewPassword

Definition at line 1544 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_RELAYX_PARAMS::pNewPublicData

Definition at line 1546 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_RELAYX_PARAMS::pNewRandomA

Definition at line 1548 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_RELAYX_PARAMS::pOldPassword

Definition at line 1538 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_RELAYX_PARAMS::pOldPublicData

Definition at line 1540 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_RELAYX_PARAMS::pOldRandomA

Definition at line 1542 of file pkcs11t.h.

CK_BYTE_PTR CK_SKIPJACK_RELAYX_PARAMS::pOldWrappedX

Definition at line 1536 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_RELAYX_PARAMS::ulNewPasswordLen

Definition at line 1543 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_RELAYX_PARAMS::ulNewPublicDataLen

Definition at line 1545 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_RELAYX_PARAMS::ulNewRandomLen

Definition at line 1547 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_RELAYX_PARAMS::ulOldPasswordLen

Definition at line 1537 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_RELAYX_PARAMS::ulOldPublicDataLen

Definition at line 1539 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_RELAYX_PARAMS::ulOldRandomLen

Definition at line 1541 of file pkcs11t.h.

CK_ULONG CK_SKIPJACK_RELAYX_PARAMS::ulOldWrappedXLen

Definition at line 1535 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h